   Copyright © 2011 Red Hat, Inc.

   The text of and illustrations in this document are licensed by Red Hat
   under a Creative Commons Attribution–Share Alike 3.0 Unported license
   ("CC-BY-SA"). An explanation of CC-BY-SA is available at
   [1]http://creativecommons.org/licenses/by-sa/3.0/. In accordance with
   CC-BY-SA, if you distribute this document or an adaptation of it, you must
   provide the URL for the original version.

   Red Hat, as the licensor of this document, waives the right to enforce,
   and agrees not to assert, Section 4d of CC-BY-SA to the fullest extent
   permitted by applicable law.

   Red Hat, Red Hat Enterprise Linux, the Shadowman logo, JBoss, MetaMatrix,
   Fedora, the Infinity Logo, and RHCE are trademarks of Red Hat, Inc.,
   registered in the United States and other countries.

   Linux® is the registered trademark of Linus Torvalds in the United States
   and other countries.

   Java® is a registered trademark of Oracle and/or its affiliates.

   XFS® is a trademark of Silicon Graphics International Corp. or its
   subsidiaries in the United States and/or other countries.

   MySQL® is a registered trademark of MySQL AB in the United States, the
   European Union and other countries.

   All other trademarks are the property of their respective owners.

   1801 Varsity Drive
    Raleigh, NC 27606-2072 USA
    Phone: +1 919 754 3700
    Phone: 888 733 4281
    Fax: +1 919 754 3701

   --------------------------------------------------------------------------

Introduction

   Red Hat Enterprise Linux minor releases are an aggregation of individual
   enhancement, security and bug fix errata. The Red Hat Enterprise Linux 4.9
   Release Notes documents the major changes made to the Red Hat Enterprise
   Linux 4 operating system and its accompanying applications for this minor
   release.

   Detailed information on the changes that each updated package provides is
   available in the [2]Errata Documentation for each package.

   Red Hat Enterprise Linux 4 Lifecycle.  Red Hat is releasing the 9th minor
   release update for Red Hat Enterprise Linux 4. This update transitions Red
   Hat Enterprise Linux to the Production III life cycle phase. This update
   is being released as an online only update on Red Hat Network. No new
   media kits are being issued. Red Hat Enterprise Linux 4 is now closed for
   new feature requests and new hardware enablement. Red Hat will continue to
   deliver security and bug fixes for Red Hat Enterprise Linux 4 until the
   End-of-Life scheduled for February 29, 2012. Customers requiring longer
   life cycle support should contact Red Hat or its support partners for
   Extended Life Cycle phase support programs.

Installation

   Installation of Red Hat Enterprise Linux 4.9 is completed by upgrading
   from Red Hat Enterprise Linux 4.8. To update a Red Hat Enterprise Linux
   4.8 installation, first ensure that the system is subscribed to the 4.9
   channel, then use the up2date command:

 up2date --update

  Important

   Before upgrading, ensure that the system has the most recent version of
   the up2date tool installed by running the command up2date up2date

   There is no media kit available for Red Hat Enterprise Linux 4.9.

Driver Updates

   The kernel-utils package provides microcode_ctl utility code and the
   microcode data itself — supplied by Intel — to assist the kernel in
   updating the CPU microcode at system boot time. This microcode supports
   all current Intel x86- and Intel 64-based CPU models and takes advantage
   of the mechanism built-in to Linux that allows microcode to be updated
   after system boot. When loaded, the updated microcode corrects the
   behavior of various Intel processors, as described in processor
   specification updates issued by Intel for those processors. In the Red Hat
   Enterprise Linux 4.9 release the kernel-utils package has been updated
   with the 2010-09-14 version of Intel's microcode.

General Updates

   Intel Xeon support in OProfile.  OProfile is a system-wide Linux
   profiler, capable of running at low overhead. It consists of a kernel
   driver and a daemon for collecting raw sample data, along with a suite of
   tools for parsing that data into meaningful information. OProfile is
   generally used by developers to determine which sections of code consume
   the most amount of CPU time, and why.

   OProfile in Red Hat Enterprise Linux 4.9 now supports Intel Xeon (formerly
   codenamed Nehalem) processor performance events.

   Improved Checksum support in coreutils.  Newer Red Hat disk images use
   the SHA-256 algorithm as the checksum method. Previously, verifying these
   checksums on Red Hat Enterprise Linux 4 was not a simple process. Red Hat
   Enterprise Linux 4.9 provides and updated coreutils updated package,
   containing checksum utilities for the whole SHA-2 family, allowing a user
   to easily count or verify SHA-224, SHA-256, SHA-384, and SHA-512
   checksums.

   KornShell.  KSH-93 is the most recent version of the KornShell (ksh) by
   David Korn of AT&T Bell Laboratories, a shell programming language
   upwards-compatible with sh (the Bourne Shell). In Red Hat Enterprise Linux
   4.9, ksh is updated to the upstream release version ksh93t+.

   Firefox.  Red Hat Enterprise Linux 4.9 features version 3.6.4 of the
   Mozilla Firefox open source web browser. Refer to the [3]Firefox 3.6
   Release Notes and [4]Firefox 3.6.4 Release Notes for further details on
   the bug fixes and enhancements provided by this update.

   SystemTap.  SystemTap is a tracing and probing tool that allows users to
   study and monitor the activities of the operating system (particularly,
   the kernel) in fine detail. It provides information similar to the output
   of tools like netstat, ps, top, and iostat; however, SystemTap is designed
   to provide more filtering and analysis options for collected information.

   SystemTap in Red Hat Enterprise Linux 4.9 has been updated to version 1.3.
   Most notably, this update provides support for the newer kprobe
   capabilities.

Technology Previews

   Technology Preview features are currently not supported under Red Hat
   Enterprise Linux 4.9 subscription services, may not be functionally
   complete, and are generally not suitable for production use. However,
   these features are included as a customer convenience and to provide the
   feature with wider exposure.

   Customers may find these features useful in a non-production environment.
   Customers are also free to provide feedback and functionality suggestions
   for a technology preview feature before it becomes fully supported.
   Erratas will be provided for high-severity security issues.

   During the development of a technology preview feature, additional
   components may become available to the public for testing. It is the
   intention of Red Hat to fully support technology preview features in a
   future release.

   For more information on the scope of Technology Previews in Red Hat
   Enterprise Linux, please view the [5]Technology Preview Features Support
   Scope page on the Red Hat website.

   OpenOffice 2.0.  OpenOffice 2.0 is now included in this release as a
   Technology Preview. This suite features several improvements, including
   ODF and PDF functionalities, support for digital signatures and greater
   compatibility with open suites in terms of format and interface. In
   addition to this, the OpenOffice 2.0 spreadsheet has enhanced pivot table
   support, and can now handle up to 65,000 rows.

   For more information about OpenOffice 2.0, please refer to
   [6]http://www.openoffice.org/dev_docs/features/2.0/index.html .

Known Issues

   Bugzilla #523255

           When dm-multipath is used on a storage device that implements
           ALUA, and group-by-prio is enabled, then the path groups are
           established when the device is configured. The paths with the same
           priority are grouped together, the group priority is calculated as
           the sum of the path priorities, and the path group with the
           highest sum is selected for I/O. If a path's priority changes, the
           group priority is re-calculated, and the active path group may
           change. The path grouping is not changed, even though some members
           of the group may now have different priorities. If you wish to
           re-establish the path grouping after a change, then you must enter
           the command

 multipathd -k"reconfigure"

   Bugzilla #653424

           When dm-multipath is used on a storage device that implements
           ALUA, and group-by-prio is enabled, then the path groups are
           established when the device is configured. The paths with the same
           priority are grouped together, the group priority is calculated as
           the sum of the path priorities, and the path group with the
           highest sum is selected for I/O. If a path's priority changes, the
           group priority is re-calculated, and the active path group may
           change. The path grouping is not changed, even though some members
           of the group may now have different priorities. If you wish to
           re-establish the path grouping after a change, then you must enter
           the command

 multipathd -k"reconfigure"

   Bugzilla #653424

           Broken dependencies in the up2date-4.8.1-33.el4_8.9 package may
           result in an update of the up2date package failing. Consequently,
           if the up2date-4.8.1-33.el4_8.9, package is installed on a system
           the new up2date package must be manually downloaded from the Red
           Hat Network and installed using the rpm command.

   [7]Bugzilla #459785

           Japanese language JP106 keyboards will not function correctly when
           booting into Rescue Mode on Red Hat Enterprise Linux 4.9.

   [8]Bugzilla #494022

           Updating all packages from Red Hat Enterprise Linux 4.8 to Red Hat
           Enterprise Linux 4.9 on multilib architectures may fail with
           dependency issues for the openmpi-libs package. To work around
           this issue, use the following commands to update the compat-dapl
           package before updating the remaining packages:

 up2date compat-dapl
 up2date -fu

   [9]Bugzilla #443137

           Some x86 64-bit systems may hang during boot when the noapic debug
           kernel parameter is used.

   Known Issue: [10]Bugzilla #499457

           As a result of N_Port ID Virtualization (NPIV) support added in
           Red Hat Enterprise Linux 4.8 on s390x architectures, the
           permanent_port_name sysfs attribute is no longer included. This
           attribute was used (primarily for debugging purposes) to
           differentiate the use of NPIV Logical Unit Numbers (LUNs) from
           within Linux. In the absence of this attribute, system
           administrators should refer to the Hardware Management Console /
           Support Element (HMC/SE) to find the virtual port address on an
           NPIV-enabled system.

   [11]Bugzilla #484117

           The Logical Volume Manager in Red Hat Enterprise Linux 4.9 reports
           file descriptor leaks, resulting in the following error returned
           to the installation output:

                                 File descriptor NUM (socket:XXXX) leaked on lvm invocation.


           This message can be safely ignored.

   [12]Bugzilla #468097

           When installing Red Hat Enterprise Linux 4 through an Network File
           System (NFS) server, the installer is unable to correctly close
           the NFS mount points. This might cause the NFS server to
           misbehave. In these cases Red Hat suggests the use of an HTTP
           server for installations.

   [13]Bugzilla #468097

           On systems where the BIOS is able to do both legacy (acpiphp) and
           native (pciehp) PCI hotplugging, it is necessary for the
           administrator to choose a preferred method and explicitly prevent
           Red Hat Enterprise Linux 4 from loading the module for the
           undesired method. This is done by blacklisting the undesired
           module in /etc/modprobe.conf.

   [14]Bugzilla #449648

           Red Hat discourages the use of quota on EXT3 file systems. This is
           because in some cases, doing so can cause a deadlock.

           Testing has revealed that kjournald can sometimes block some
           EXT3-specific callouts that are used when quota is running. As
           such, Red Hat does not plan to fix this issue in Red Hat
           Enterprise Linux 4, as the modifications required would be too
           invasive.

           Note that this issue is not present in Red Hat Enterprise Linux 5.

   [15]Bugzilla #452578

           The Desktop Sharing connection icon displays its context menu when
           you double-click it, not when you right-click it. All other icons
           display their context menus when you right-click on them.

   [16]Bugzilla #451873

           If the ib_ehca InfiniBand driver is loaded in port auto-detection
           mode (using module parameter nr_ports=-1), the IP-over-InfiniBand
           network interfaces (ibX) might become available too late. When
           this occurs, the ifup ibX command issued from the openibd startup
           script will fail; consequently, the ibX interface will not become
           available.

           When this occurs, use the command rcnetwork restart to fix the
           problem.

   [17]Bugzilla #451873

           In the [18]IBM Redbook "Implementing InfiniBand in IBM System p
           (SG247351) manual, Table 6-3 (on page 220 of the PDF version)
           describes debug code bit definitions, where several HCA error
           indicator bits are also described.

           Note that with eHCA2 adapters, bits 46 and 47 of these error
           indicator bits might return false positives.

   [19]Bugzilla #366961

           On HP ICH10 workstations, audio is only enabled through the front
           3.5mm jacks. As such, to receive any audio output or use
           recording, you should plug in your headphones, speakers, or
           microphones to the front jacks. At present, the rear jacks,
           internal speaker, and master volume for this workstation do not
           work.

   [20]Bugzilla #429727

           With this update, the default PCI detection and ordering mode for
           the following models have changed:

              o HP Proliant DL 580 G5

              o HP Proliant DL 385 G2

              o HP Proliant DL 585 G2

           These models use a device scanning and enumeration mode which is
           not the default for Red Hat Enterprise Linux 4 or 5. The mode used
           by these HP Proliant models could result in add-on cards being
           detected and added prior to onboard/internal devices. This
           unexpected ordering could cause difficulties when installing new
           instances of Red Hat Enterprise Linux, adding hardware, and
           maintenance.

           The numbering of network interface cards (NIC) for the
           aforementioned HP Proliant models may change when they are updated
           with the Red Hat Enterprise Linux 4.7 kernel. The installer
           changes NIC numbering if the HWADDR=MAC ADDRESS parameter is not
           defined in /etc/sysconfig/network-scripts/ifcfg-eth[X] for each
           installed NICs. As such, Red Hat recommends that you ensure this
           parameter is defined in order to avoid any problems arising from
           an unexpected NIC enumeration.

           In addition, to avoid any NIC enumeration changes after updating
           these HP Proliant models to Red Hat Enterprise Linux 4.7, add the
           kernel boot parameter pci=nobfsort to /boot/grub/grub.conf.

   [21]Bugzilla #232499

           When a volume group contains a mirror or snapshot, issuing the
           lvchange command with a volume group parameter may result in the
           following error messages:

 Unable to change mirror log LV fail_secondary_mlog directly
 Unable to change mirror image LV fail_secondary_mimage_0 directly
 Unable to change mirror image LV fail_secondary_mimage_1 directly


           These messages can be safely ignored.

   [22]Bugzilla #441870

           Dell PowerEdge SC1435s systems may hang during boot-up. To avoid
           this, edit the terminal line in grub.conf and replace the string
           serial console with console serial.

   [23]Bugzilla #456533

           The updated ixgbe driver does not support the Intel 82598AT
           (Copper Pond 10GbE).

   [24]Bugzilla #454872

           Red Hat Enterprise Linux 4.9 can detect online growing or
           shrinking of an underlying block device. However, there is no
           method to automatically detect that a device has changed size, so
           manual steps are required to recognize this and resize any file
           systems which reside on the given device(s). When a resized block
           device is detected, a message like the following will appear in
           the system logs:

 VFS: busy inodes on changed media or resized disk sdi


           If the block device was grown, then this message can be safely
           ignored. However, if the block device was shrunk without shrinking
           any data set on the block device first, the data residing on the
           device may be corrupted.

           It is only possible to do an online resize of a filesystem that
           was created on the entire LUN (or block device). If there is a
           partition table on the block device, then the file system will
           have to be unmounted to update the partition table.

   [25]Bugzilla #479467

           There is a known memory leak with the res_n* family of resolver
           routines (i.e. res_nquery, res_nsearch and res_nmkquery). Programs
           that use these functions will leak memory over time. It has been
           fixed in newer versions of glibc, however, the fix is too invasive
           to be applied to Red Hat Enterprise Linux 4. Programs that use
           these functions may need to be restarted occasionally to free
           memory.

   [26]Bugzilla #452513

           The number of devices that can be handled during installation of
           Red Hat Enterprise Linux 4 depends on the size of the installation
           initrd image. Therefore, in situations where there are many
           devices attached to a machine (such as heavily populated Fibre
           Channel setups) installation will not be possible unless number of
           visible devices is reduced.

   [27]Bugzilla #492371

           During installation anaconda may not remove all the Logical Volume
           Manager (LVM) metadata that exists on a system prior to
           installation. This extra metadata may cause LVM tools to report
           missing volume groups or logical volumes after installation. To
           work around this issue, remove the stale LVM metadata after the
           installation is complete.

   [28]Bugzilla #481190

           multipath does not silence the error messages printed by any of
           it's callout programs. Therefore, if multipath is run when paths
           are down, various error messages may be displayed. The messages
           that are displayed depend on the specific callout programs that
           multipath is using. For example, if multipath is run while there
           are failed scsi devices, scsi_id will print

 lt;H>:<B>:<T>:<L>:Unable to get INQUIRY vpd 1 page 0x0.
 lt;H>:<B>:<T>:<L>:sg_io failed status 0x0 0x1 0x0 0x0


           Or, if multipath -ll is run while an EMC CLARiiON is down, the
           mpath_prio_emc priority callout will print query command indicates
           error

   [29]Bugzilla #453033

References

   Visible links
   1. http://creativecommons.org/licenses/by-sa/3.0/
   2. https://rhn.redhat.com/errata/
   3. http://mozilla.com/en-US/firefox/3.6/releasenotes/
   4. http://mozilla.com/en-US/firefox/3.6.4/releasenotes/
   5. http://www.redhat.com/support/policy/soc/production/preview_scope/
   6. http://www.openoffice.org/dev_docs/features/2.0/index.html
   7. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=459785
   8. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=494022
   9. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=443137
  10. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=499457
  11. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=484117
  12. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=468097
  13. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=468097
  14. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=449648
  15. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=452578
  16. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=451873
  17. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=451873
  18. http://www.redbooks.ibm.com/abstracts/sg247351.html
  19. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=366961
  20. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=429727
  21. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=232499
  22. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=441870
  23. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=456533
  24. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=454872
  25. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=479467
  26. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=452513
  27. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=492371
  28. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=481190
  29. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=453033
